using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
          
            double prihod;
            double[] zarada = new double[n];
            double[] porez = new double[n];
            double max = 0;
            int i = 0;

            while (i < n)
            {
                string[] s = Console.ReadLine().Split();
                zarada[i] = double.Parse(s[0]);
                porez[i] = double.Parse(s[1]);
                i++;
            }
            i = 0;
            int j = 0;
            while (i < n)
            {
                prihod = 0;

                while (j < n)
                {
                    if (porez[j] >= porez[i])
                    {
                      
                        prihod = prihod + zarada[j];
                    }
                    j++;
                }

                

                prihod = prihod * porez[i] / 100;

              
                if (prihod > max)
                { 
                    max = prihod;
                }
               
                j = 0;
                i++;
            }
            i = 0;
            j = 0;
            Console.WriteLine(max);
          //  Console.ReadLine();

        }
    }
}